package Setup::Text::Snippet;
BEGIN {
  $Setup::Text::Snippet::VERSION = '0.02';
}
# ABSTRACT: Setup text snippet in a string/file

use 5.010;
use strict;
use warnings;
use Log::Any '$log';

use File::Slurp;

our %SPEC;

1;


=pod

=head1 NAME

Setup::Text::Snippet - Setup text snippet in a string/file

=head1 VERSION

version 0.02

=head1 DESCRIPTION

Reserved for the general case of L<Setup::Text::Snippet::WithID>.

You might want to use Setup::Text::Snippet::WithID for now.

=head1 SEE ALSO

L<Setup::Text::Snippet::WithID>

Other modules in Setup:: namespace.

=head1 AUTHOR

Steven Haryanto <stevenharyanto@gmail.com>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2011 by Steven Haryanto.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut


__END__

